using OpenTK.Input;

namespace RecrownedGTK.Game {
    public interface IState
    {
        bool Shown(GameEngine gameManager);
        void Update(double time);

        void Render(double time);
        void Hidden();
        void WindowSizeUpdate(int width, int height);
        bool CloseRequested();
        IState ChangeState();
        
    }
}
